spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
spot::internal::edge_iterator< Graph > Class Template Reference
Inheritance diagram for spot::internal::edge_iterator< Graph >:
Collaboration diagram for spot::internal::edge_iterator< Graph >:

## Public Types
typedef std::conditional < std::is_const< Graph > ::value, const typename Graph::edge_storage_t, typename Graph::edge_storage_t > ::type | value_type
typedef value_type & | reference
typedef value_type * | pointer
typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef Graph::edge | edge

## Public Member Functions
| edge_iterator (Graph *g, edge t) noexcept
bool | operator== (edge_iterator o) const
bool | operator!= (edge_iterator o) const
reference | operator* () const
pointer | operator-> () const
edge_iterator | operator++ ()
edge_iterator | operator++ (int)
| operator bool () const
edge | trans () const

## Protected Attributes
Graph * | g_
edge | t_

The documentation for this class was generated from the following file:

- spot/graph/graph.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.